Subject: Re: [Isis-wg] New Layer2 extensions to ISIS - thorough review will berequired

From: Peter Ashwood-Smith <[email-masked]>
Date: Thu, 29 Apr 2010 11:04:41 -0400

Thanks David,

We are discussing it at the moment among implementors and trying to figure
out scheduling and feature subsets etc. Stay tuned...

Peter

-----Original Message-----
From: David Michael Bond [mailto:[email-masked]] 
Sent: Thursday, April 29, 2010 10:46 AM
To: 'David Ward'; 'Peter Ashwood-Smith'
Cc: [email-masked]; 'isis-wg'; [email-masked];
[email-masked]; 'Adrian Farrel'; 'Hopps'; 'Droms'
Subject: RE: [Isis-wg] New Layer2 extensions to ISIS - thorough review will
berequired

Hi Peter and David,
I have mentioned this in other contexts as well but I just wanted to mention
it again. The UNH InterOperability Laboratory is willing to assist in
preparing a report in regards to the interoperability of devices (whether
TRILL or 802.1aq) if a third party neutral facilitator is needed.
Thanks,
David

                    David Bond                    
.~~~~~.~~~~~.~~~~~.~~~~~~.~~~~~~.~~~~~.~~~~~.~~~~~.
.University of New Hampshire                      .
.    - InterOperability Laboratory                .
.        Research and Development Software Eng.   .
.        Routing & Bridge Functions Consortiums   .
.    - Computer Science PhD Student               .
. 121 Technology Drive, Suite 2, Durham NH, 03824 .
.    (O) 1-603-862-3525     (M) 1-603-845-7514    .
.     http://mokon.net    http://iol.unh.edu      .
.~~~~~.~~~~~.~~~~~.~~~~~~.~~~~~~.~~~~~.~~~~~.~~~~~. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of David Ward
> Sent: Sunday, April 25, 2010 10:17 PM
> To: Peter Ashwood-Smith
> Cc: [email-masked]; isis-wg; [email-masked];
> [email-masked]; Adrian Farrel; Hopps; Droms
> Subject: Re: [Isis-wg] New Layer2 extensions to ISIS - thorough review
> will berequired
> 
> Peter -
> 
> It's excellent news that there are interoperable implementations of the
> .aq TLVs. Can you prepare an implementation report? If you need an
> example, please contact me directly. It's all pretty straightforward
> stuff.
> 
> -DWard
> 
> On Apr 25, 2010, at 7:59 PM, Peter Ashwood-Smith wrote:
> 
> >
> > Well .. I see the emails have been flying over the weekend.
> >
> > Obviously I agree with Dave, John, Paul and Don that 802.1aq should
> be
> > separate, that it only needs a few TLVs with no behavioral changes to
> IS-IS
> > and that OTV needs to follow the proper standards process, for
> example by
> > presenting and being accepted in the L2VPN working group.
> >
> > We have no problem with the few TLV's we request being subject to
> scrutiny.
> > The important ones have had (in slightly varied form) live
> deployments and
> > several implementations now for well over a year.
> >
> > Peter
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> Behalf
> > Of John E Drake
> > Sent: Sunday, April 25, 2010 2:44 PM
> > To: John E Drake; David Allan I; David Ward; isis-wg
> > Cc: Christian Hopps; Adrian Farrel; Ralph Droms
> > Subject: Re: [Isis-wg] New Layer2 extensions to ISIS - thorough
> review will
> > berequired
> >
> > Hi,
> >
> > In particular, it appears that OTV is out of scope wrt the current
> charter.
> > Also, no one likes proprietary extensions more than I do, but they
> should
> > have their own document and codepoints.
> >
> > Thanks,
> >
> > John
> >> -----Original Message-----
> >> From: [email-masked] [mailto:[email-masked]] On
> Behalf
> >> Of John E Drake
> >> Sent: Sunday, April 25, 2010 4:19 AM
> >> To: David Allan I; David Ward; isis-wg
> >> Cc: Christian Hopps; Adrian Farrel; Ralph Droms
> >> Subject: Re: [Isis-wg] New Layer2 extensions to ISIS - thorough
> review
> >> will be required
> >>
> >> +1
> >>
> >>> -----Original Message-----
> >>> From: [email-masked] [mailto:[email-masked]] On
> >> Behalf
> >>> Of David Allan I
> >>> Sent: Saturday, April 24, 2010 9:31 AM
> >>> To: David Ward; isis-wg
> >>> Cc: Christian Hopps; Adrian Farrel; Ralph Droms
> >>> Subject: Re: [Isis-wg] New Layer2 extensions to ISIS - thorough
> review
> >>> will be required
> >>>
> >>> Hi Folks:
> >>>
> >>> While the decision of splitting the drafts is in discussion (and
> that is
> >> a
> >>> direction I favor as the scope of IS-IS changes is radically
> different
> >> and
> >>> disjoint between the "layer 2"s), the question needs to be asked
> "what
> >> in
> >>> the draft survives the split as WG items".
> >>>
> >>> 802.1aq - yes
> >>> TRILL - yes
> >>> OTV - does not belong here, it is proprietary...
> >>>
> >>> If OTV is standardized it COULD be considered by the WG at some
> point in
> >>> the future. Right now it is simply an wholly inappropriate
> complication
> >> in
> >>> addressing the two technologies the WG has agreed to...
> >>>
> >>> It should be removed from the draft and a new version published
> ASAP.
> >>>
> >>> My 2 cents
> >>> D
> >>>
> >>> -----Original Message-----
> >>> From: [email-masked] [mailto:[email-masked]] On
> >> Behalf
> >>> Of David Ward
> >>> Sent: Friday, April 23, 2010 1:30 PM
> >>> To: isis-wg
> >>> Cc: Christian Hopps; Ralph Droms; Jari Arkko; Adrian Farrel
> >>> Subject: [Isis-wg] New Layer2 extensions to ISIS - thorough review
> will
> >> be
> >>> required
> >>>
> >>> All -
> >>>
> >>> The WG Chairs would like to be clear on the approach to review and
> >>> progression of the draft: draft-ietf-isis-layer2. There will be a
> >> request
> >>> for the routing directorate, specific guest reviewers and a lengthy
> >>> community review. There will also be a requirement of multiple,
> >>> interoperable implementations. Whether we split the draft into
> TRILL,
> >> .aq,
> >>> OTV extensions into separate drafts or not, the foundational
> changes to
> >>> ISIS for each of the technologies will need to be proven working
> and
> >>> correct.
> >>>
> >>> The draft itself will need to be cleaned up and clear what PDUs,
> TLVs,
> >> etc
> >>> are necessary for any of this technology which will make reading
> and
> >>> implementation awareness easier. If we decide to split them (we
> will
> >>> decide later - please remain calm  and not discuss this nit now-
> let's
> >> get
> >>> the information completed as we know it); it will be quite trivial.
> If
> >> we
> >>> decide not to; it will be clear to the reader/implementor.
> >>>
> >>> The purpose of such a process is because in several decades of the
> >>> existence of ISIS and extremely wide deployment, no new PDU types
> were
> >>> ever deemed necessary. The new TLVs being proposed and the data
> being
> >>> carried has never been carried before and may cause new scaling,
> >>> performance or other impacts that we don't currently understand. We
> need
> >>> to fully understand the impact of these changes and learn what we
> don't
> >>> know about the changes we are proposing. I've found in my
> experience
> >> that
> >>> new protocols, new technologies and fundamental changes to
> protocols
> >>> require a deep understanding and implementation experience and not
> a
> >> rush
> >>> to RFC. Headsup
> >>>
> >>> Thanks.
> >>>
> >>> -DWard, CHopps
> >>>
> >>> _______________________________________________
> >>> Isis-wg mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/isis-wg
> >>> _______________________________________________
> >>> Isis-wg mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/isis-wg
> >> _______________________________________________
> >> Isis-wg mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/isis-wg
> > _______________________________________________
> > Isis-wg mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/isis-wg
> >
> 
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg